2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.69 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.68 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.

2009-11-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.67 released.

2009-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el: use viper-last-command-char instead of
	last-command-char/last-command-event.
	(viper-prefix-arg-value): do correct conversion of event-char for
	XEmacs.
	
	* viper-util.el, viper.el: use viper-last-command-char instead of
	last-command-char/last-command-event.
	
	* viper-ex.el, viper-init.el, viper-keym.el, viper-macs.el,
	viper-mous.el, viper-util.el, viper.el: incorporate cosmetic changes
	from the Emacs tree.
	
2009-08-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.66 released.

2009-08-15  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-insert-isearch-string): new function.
	(viper-if-string): redefine C-s in the minibuffer to insert the last
	incremental search string.
	
	* Changes from the Emacs trunk: last-command-char replaced by
	last-command-event, 2009 added in copyright notices.
	
	* viper.el: date change.
	
	* viper-cmd.el (viper-envelop-ESC-key):
	viper-translate-all-ESC-keysequences is now a function.
	
	* viper-init (viper-translate-all-ESC-keysequences): make this variable
	into a function.
	
	* viper.texi (viper-translate-all-ESC-keysequences): description removed.
	
2008-11-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.65 released.

2008-11-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.64 released.

2008-11-16  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-init.el (viper-ESC-keyseq-timeout): Make it into a function
	instead of a variable.
	
	* viper-util.el (viper-fast-keysequence-p): Changed to use
	viper-ESC-keyseq-timeout as a function.
	(viper-get-saved-cursor-color-in-replace-mode): Use defun instead of
	defsubst.
	
	* viper-cmd.el: Let line-move-visual to nil when using next-line or
	previous-line.
	(viper-R-state-post-command-sentinel): Use defun instead of defsubst.
	
	* viper-keym.el (viper-ESC-key): Use (kbd "ESC").
	
	* viper*.el, viper.texi: copied changes from Emacs CVS.
	
2008-04-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.63 released.

2008-04-06  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper*.el (viper-search-wrap-around-t): replace with
	viper-search-wrap-around.
	
2008-04-04  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	
	* viper-ex.el: move provide's forward, prevent recursion in
	eval-when-compile.
	
	* viper-util.el: move provide's forward, prevent recursion in
	eval-when-compile.
	
	
2008-04-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.62 released.

2008-04-03  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper*.el: incorporated changes from the emacs tree.
	
	* viper-macs.el (viper-read-fast-keysequence): use viper-read-event
	instead of viper-read-key.
	
	* viper.el (viper-mode): move the check for fundamental mode.
	
	* viper-utils.el (viper-get-saved-cursor-color-in-replace-mode)
	viper-get-saved-cursor-color-in-insert-mode): get rid of redundant
	let-statements.
	
	* viper*.el: replaced load with require in eval-when-compile.
	
2008-01-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.61 released.

2008-01-10  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper*.el: uncommented declare-function.
	
2008-01-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.60 released.

2008-01-09  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper*.el: many minor changes from the emacs tree.
	
	* viper-ex.el (viper-info-on-file): take care of indiret buffers.
	
	* viper.el (viper-set-hooks, set-cursor-color): set viper-vi-state-cursor-color.
	
2007-11-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.59 released.

2007-11-02  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-ex.el (viper-ex): do not ignore the region.
	
	* viper-cmd.el (viper-prev-destructive-command)
	(viper-insert-prev-from-insertion-ring): use ring-copy instead of
	copy-sequence.
	
2007-08-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.58 released.

2007-08-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el (viper-remove-hooks): remove some additional viper hooks
	when the user calls viper-go-away.
	(viper-go-away): restore the default of default-major-mode.
	Save the value of default-major-mode before vaperization.
	
	* viper-cmd.el: Replace error "" with "Viper bell".
	
	* viper-ex.el: Replace error "" with "Viper bell".
	
2007-06-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.57 released.

2007-06-14  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el (viper-describe-key-ad, viper-describe-key-briefly-ad):
	different advices for Emacs and XEmacs. Compile them conditionally.
	(viper-version): belated version change.
	
2007-06-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.56 released.

2007-06-12  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-prefix-arg-com,viper-prefix-arg-value): display
	error messages
	(viper-prev-destructive-command,viper-insert-prev-from-insertion-ring):
	get rid of cl.el dependencies.
	
	* viper-init.el (viper-suppress-input-method-change-message): new
	variable.
	(viper-activate-input-method-action,viper-inactivate-input-method-action):
	use viper-suppress-input-method-change-message.
	
	* viper-kem.el (viper-vi-basic-map): disable the bindings for C-s, C-r.
	
	* viper-util.el (viper-set-cursor-color-according-to-state): use
	viper-replace-overlay-cursor-color instead of
	viper-replace-overlay-cursor-color.
	(viper-sit-for-short): use sit-for with 3 arguments.
	
	* viper.el (viper-insert-state-mode-list): add gud-mode.
	(viper-major-mode-modifier-list): add viper-comint-mode-modifier-map to
	gud-mode.
	
2007-01-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.55 released.

	
2007-01-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-keym.el (viper-insert-basic-map): deleted binding for S-TAB.
	
	* other files: 2007 copyright date added
	
2006-12-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.54 released.

2006-12-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-post-command-sentinel): protect against errors in
	hooks.
	(viper-add-newline-at-eob-if-necessary): add newline only if we
	actually modify buffer; ignore errors if occur.
	
2006-11-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.53 released.

2006-11-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-init.el, viper-keym.el, viper.el: capitalize emacs
	
	
2006-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.52 released.

2006-10-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-prefix-arg-com): define gg as G0
	
	* viper-ex.el (ex-read): quote file argument.
	
2006-09-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.51 released.

2006-09-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el: Bumped up version/date of update to reflect the substantial
	changes done in August 2006.
	
	* viper-cmd (viper-next-line-at-bol): make sure button-at, push-button
	are defined.
	
2006-09-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.50 released.
	
2006-08-30  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-special-read-and-insert-char): convert events to
	chars if XEmacs.
	(viper-after-change-undo-hook): check if undo-in-progress is bound.
	
2006-08-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.49 released.

2006-08-25  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el (viper-set-hooks): use frame bindings for
	viper-vi-state-cursor-color.
	(viper-non-hook-settings): don't set default
	mode-line-buffer-identification.
	
	* viper-util.el (viper-set-cursor-color-according-to-state): new
	function.
	(viper-set-cursor-color-according-to-state,
	viper-get-saved-cursor-color-in-replace-mode,
	viper-get-saved-cursor-color-in-insert-mode): make conditional on
	viper-emacs-state-cursor-color.
	
	* viper-cmd.el (viper-envelop-ESC-key): bug fix.
	(viper-undo): use point if undo-beg-posn is nil.
	(viper-insert-state-post-command-sentinel,viper-change-state-to-emacs,
	viper-after-change-undo-hook): don't use
	viper-emacs-state-cursor-color by default.
	(viper-undo): more sensible positioning after undo.
	
	* viper-ex.el (ex-splice-args-in-1-letr-cmd): got rid of caddr.
	(viper-emacs-state-cursor-color): default to nil, since this feature
	doesn't work well yet.
	
2006-06-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-special-read-and-insert-char): use
	read-key-sequence.
	(viper-after-change-undo-hook): enhancements.
	(viper-after-change-undo-hook): new hook.
	(viper-undo): use viper-after-change-undo-hook.
	(viper-add-newline-at-eob-if-necessary): widen before making changes.
	(viper-next-line-at-bol): If point is on a widget or a button, simulate
	clicking on that widget/button.
	
	* viper.el (viper-mode): allow for a separate cursor color in Emacs
	state.
	
2006-02-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.48 released.

2006-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-insert-state-post-command-sentinel,
	viper-change-state-to-vi, viper-change-state-to-emacs): 
	made aware of cursor coloring in the emacs state.
	(viper-special-read-and-insert-char): use read-char-exclusive.
	(viper-minibuffer-trim-tail): workaround for fields in minibuffer.
	
	* viper-init.el (viper-emacs-state-cursor-color): new variable.
	
	* viper-util.el (viper-save-cursor-color,
	viper-get-saved-cursor-color-in-replace-mode,
	viper-get-saved-cursor-color-in-insert-mode,
	viper-restore-cursor-color): make aware of the cursor color in emacs
	state.
	(viper-get-saved-cursor-color-in-emacs-mode): new function.
	
2005-11-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.47 released.
	
2005-11-25  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-keym.el (viper-ESC-key): use different values in terminal and
	window modes.
	
	* viper.el (viper-emacs-state-mode-list): delete mail-mode, add
	jde-javadoc-checker-report-mode.
	
2005-11-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.46 released.
	
2005-11-15  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-utils (viper-non-word-characters-reformed-vi): quote `-' in
	string.
	
	* viper.el (viper-emacs-state-mode-list): Ensure that
	rcirc-mode buffers come up in Emacs state.
	
2005-11-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.45 released.

2005-11-04  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el: quote the form in every occurrence of eval-after-load.
	
2005-10-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2005-10-05  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-normalize-minor-mode-map-alist,
	viper-refresh-mode-line): use make-local-variable to localize some vars
	instead of make-variable-buffer-local. Suggested by Stefan Monnier.
	
	* viper-init.el (viper-make-variable-buffer-local): delete alias.
	(viper-restore-cursor-type,viper-set-insert-cursor-type): use
	make-local-variable instead of make-variable-buffer-local. Suggested by
	Stefan Monnier.
	
	* viper.el (viper-mode): don't use viper-make-variable-buffer-local.
	(viper-comint-mode-hook): use make-local-variable on
	require-final-newline.
	(viper-non-hook-settings): don't use make-variable-buffer-local.
	
2005-09-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.43 released.

2005-09-20  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-change-state): don't move over the field
	boundaries in the minibuffer.
	(viper-set-minibuffer-style): add viper-minibuffer-post-command-hook.
	(viper-minibuffer-post-command-hook): new hook.
	(viper-line): don't move cursor at bolp.
	
	* viper-ex.el (ex-pwd, viper-info-on-file): fixed message
	
	* viper-init.el: add alias to make-variable-buffer-local to avoid
	compiler warnings.
	
	* viper-macs.el (ex-map): better messages.
	
	* viper-utils.el (viper-beginning-of-field): new function.
	
	* viper.el: replace make-variable-buffer-local with
	viper-make-variable-buffer-local everywhere, to avoid warnings.

2005-08-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.42 released.

2005-08-06  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el (viper-emacs-state-mode-list): add recentf-dialog-mode.
	Change the date of last update.
	
2005-08-06  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-harness-minor-mode,viper-exec-delete,
	viper-exec-yank,viper-put-back): don't display modification msg if in
	the minibuffer.
	
	* viper-init.el (viper-replace-overlay-cursor-color,
	viper-insert-state-cursor-color,viper-vi-state-cursor-color): make
	variables frame local.
	
	* viper-util.el (viper-append-filter-alist): use append instead of
	nconc.
	
	* viper.el (viper-vi-state-mode-list,viper-emacs-state-mode-list): move
	help-mode and completion-list-mode from the first list to the second.
	(viper-mode): docstring.
	(viper-go-away,viper-non-hook-settings): don't localize
	minor-mode-alist in newer emacsen.
	Add advice to set-cursor-color.
	Don't bind "\C-c\\".
	
2005-07-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2005-07-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-escape-to-state): bug fix
	(viper-envelop-ESC-key): changed the definition of fast keysequence so
	it'll work with keyboard macros
	
	* viper-init (viper-activate-input-method): use featurep xemacs instead
	of viper-xemacs-p.
	
2005-07-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2005-07-10  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper--key-maps): new variable.
	(viper-normalize-minor-mode-map-alist): use viper--key-maps and
	emulation-mode-map-alists.
	(viper-envelop-ESC-key): use viper-subseq.
	(viper-search-forward/backward/next): disable debug-on-error.
	
	* viper-keym.el (viper-toggle-key,viper-quoted-insert-key,
	viper-ESC-key): new defcustoms.
	
	* viper-macs.el (ex-map-read-args): use viper-subseq.
	
	* viper-util.el (viper-key-to-emacs-key): use viper-subseq.
	(viper-subseq): copy of subseq from cl.el.
	
	* viper.el (viper-go-away,viper-set-hooks): use
	emulation-mode-map-alists, advise self-insert-command, add-minor-mode.
	
	* viper-mous.el (viper-current-frame-saved): use defvar.
	
	* viper-init.el: got rid of -face in face names.
	
2005-06-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.39 released.

2005-06-03  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-ex.el: Replaced string-to-int with string-to-number
	
	* viper-keym.el
	(viper-toggle-key,viper-quoted-insert-key,viper-ESC-key):
	Made them customizable.
	
	* viper.el (viper-non-hook-settings): fixed the names of defadvices.
	
	* everywhere: added 2005 to copyright.
	
2005-02-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2005-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-cmd.el (viper-prefix-commands): make into a defconst.
	(viper-exec-buffer-search): use regexp-quote to quote the buffer
	string.
	(viper-minibuffer-setup-sentinel): make some variables buffer-local.
	(viper-skip-separators): bug fix.
	(viper-set-searchstyle-toggling-macros): allow to unset macros in a
	particular major mode.
	(viper-del-backward-char-in-replace): don't put deleted char on the
	kill ring.
	
	* viper-ex.el (viper-color-display-p): new function.
	(viper-has-face-support-p): use viper-color-display-p.
	
	* viper-keym.el (viper-gnus-modifier-map): new keymap.
	
	* viper-macs.el (viper-unrecord-kbd-macro): bug fix.
	
	* viper-util.el (viper-glob-unix-files): fix shell status check.
	(viper-file-remote-p): make equivalent to file-remote-p.
	
	* viper.el (viper-major-mode-modifier-list): use
	viper-gnus-modifier-map.
	
2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2003-05-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2003-05-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* all files: eliminated trailing spaces from lines.
	
2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Removed (unused).

2002-09-25  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2002-09-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-util.el (viper-chars-in-region): simplification.
	
	* viper.el (viper-emacs-state-mode-list): added modes.
	
	* viper-cmd.el, viper-ex.el, viper.texi: typos.
	
2002-04-30  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* emulation/viper.el (viper-emacs-state-mode-list): Add
	`browse-kill-ring-mode', `recentf-mode', and `occur-mode'
	to the list of emacs modes (thanks to Colin Walters).
	
2002-07-16  Adrian Aichner  <adrian@xemacs.org>

	* .cvsignore: Add generated .info* and .html files.

2002-04-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2002-04-16  Michael Kifer  <kifer@cs.stonybrook.edu>
	
        * viper-ex.el: Patch by Samuel Padgett. Copyright papers received.
	(viper-ex-print-buf-name): New variable.
	(viper-ex-print-buf): New variable.
	(ex-token-alist): Invoke ex-print on ":print" Ex commands.
	(ex-g-marks): New variable.
	(ex-print): New function.
	(ex-print-display-lines): New function.
	
	* viper.el (viper-set-hooks): add window-setup-hook, which sets
	the cursor color.
	
2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.33 released.

2002-03-12  Adrian Aichner  <adrian@xemacs.org>

	* viper.texi: Fix typos found by my own grep-for-likely-typo.pl.

2002-02-09  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-util.el (viper-read-key-sequence): fixed so it'll read
	fast key sequences in emacs native mode
	(viper-events-to-keys): deleted
	
	* viper.el (describe-key, describe-key-briefly): get rid of
	viper-events-to-keys.
	
2002-01-09  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper.el (viper-set-hooks): zap viper-unfriendly bindings in
	flyspell-mouse-map.
	
2002-01-07  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* viper-init.el (viper-cond-compile-for-xemacs-or-emacs):
	new macro that replaces viper-emacs-p and viper-xemacs-p in many
	cases. Used to reduce the number of warnings.
	
	* viper-cmd.el: use viper-cond-compile-for-xemacs-or-emacs.
	(viper-standard-value): moved here from viper.el.
	(viper-set-unread-command-events): moved to viper-util.el
	(viper-check-minibuffer-overlay): make sure
	viper-minibuffer-overlay is moved to cover the entire input field.
	
	* viper-util.el:  use viper-cond-compile-for-xemacs-or-emacs.
	(viper-read-key-sequence, viper-set-unread-command-events,
	viper-char-symbol-sequence-p, viper-char-array-p): moved here.
	
	* viper-ex.el: use viper-cond-compile-for-xemacs-or-emacs.
	
	* viper-keym.el: use viper-cond-compile-for-xemacs-or-emacs.
	
	* viper-mous.el: use viper-cond-compile-for-xemacs-or-emacs.
	
	* viper-macs.el (viper-char-array-p, viper-char-symbol-sequence-p,
	viper-event-vector-p): moved to viper-util.el
	
	* viper.el (viper-standard-value): moved to viper-cmd.el.
	Use viper-cond-compile-for-xemacs-or-emacs.
	
2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.
	
2001-12-30  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update to include all provides.
	
2001-12-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-change-state): Got rid of make-local-hook.
	(viper-special-read-and-insert-char): Make C-m work right in the r
	comand.
	(viper-buffer-search-enable): Fixed format string.
	
	* viper-ex.el (ex-token-alist): Use ex-set-visited-file-name
	instead of viper-info-on-file.
	(ex-set-visited-file-name): New function.
	
	* viper.el (viper-emacs-state-mode-list): Added mail-mode.
	
2001-10-13  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-ex.el (ex-edit): make checks for modified buffer/file.
	(viper-get-ex-address-subr): more precise addr for the $ marker
	
	* viper.texi: Clarified that viper won't expand special symbols in
	search patterns.
	
2001-09-13  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-replace-char-subr, viper-envelop-ESC-key):
	inhibit quit.
	
2001-09-09  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-special-read-and-insert-char): new function
	that reads a character and uses the current input method or
	iso-accents when appropriate.
	
	* viper.el and all others: corrections to the comment blocks at
	the top.
	
2001-07-21  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-ex.el (ex-token-list,ex-cmd-execute): Revamped, courtesy
	of Scott Bronson.
	(ex-cmd-assoc,ex-compile,ex-cmd-one-letr): New functions.
	(viper-check-sub,viper-get-ex-command,viper-execute-ex-command):
	Deleted functions.
	(viper-get-ex-com-subr,viper-ex,ex-mark): Changed to use the new
	ex-token-list.
	(viper-get-ex-address-subr): convert registers to char data type.
	
	* viper-util.el (viper-int-to-char,viper-char-equal): new
	functions.
	(viper-memq-char): use viper-int-to-char.
	(viper-file-checked-in-p): use vc-locking-user, if vc doesn't have
	vc-locking-state.
	(viper-read-key): use viper-read-key-sequence.
	
	* viper.el (viper-major-mode-modifier-list): added
	inferior-emacs-lisp-mode.
	(this-major-mode-requires-vi-state): new function that uses simple
	heuristics to decide if vi state is appropriate.
	(set-viper-state-in-major-mode): use this-major-mode-requires-vi-state.
	(viper-non-hook-settings): don't advise read-key-sequence.
	(viper-read-key-sequence): new function that replaces the
	previously used advice to read-key-sequence.
	
	* viper-cmd.el (viper-test-com-defun,viper-exec-change,
	viper-exec-Change,viper-execute-com,viper-insert,viper-append,
	viper-Append,viper-Insert,viper-open-line,viper-Open-line,
	viper-open-line-at-point,viper-substitute,viper-overwrite,
	viper-replace-char-subr,viper-forward-word,viper-forward-Word):
	got rid of the negative character hack.
	(viper-escape-to-state,viper-replace-state-exit-cmd):
	use viper-read-key-sequence.
	(viper-envelop-ESC-key): no need for ad-get-orig-definition.
	(viper-minibuffer-standard-hook,viper-read-string-with-history):
	don't override existing minibuffer-setup-hook.
	(viper-mark-point,viper-goto-mark-subr,viper-brac-function):
	convert registers to char data type. 
	(viper-autoindent): use viper-indent-line.
	
	* viper-keym.el: use viper-exec-key-in-emacs. 
	
	* viper.texi: Added credits, new commands, like :make.
	
2001-02-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper.texi: Fixed some typos
	
2001-02-12  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper.texi: Typos
	
	* viper-ex (ex-unix-type-shell-options): Fixed :type.
	
	* viper-init: Fixed typos in comments.
	
2001-01-19  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper.el: call initial-major-mode on startup.
	
	* viper.texi: small fixes; added credits
	
2000-12-25  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-init (viper-restore-cursor-type): added condition-case
	guard.
	
2000-11-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-change-state-to-vi): disable overwrite mode.
	(viper-downgrade-to-insert): protect against errors in hooks.
	
	* viper-init.el (viper-vi-state-hook,viper-insert-state-hook,
	viper-replace-state-hook,viper-emacs-state-hook): do cursor handling.
	(viper-restore-cursor-type,viper-set-insert-cursor-type): new
	functions.
	
	* viper-util.el (viper-memq-char): bug fixes
	
	* viper.el (viper-mode): fix cursor handling.
	
2000-10-29  Michael Kifer  <kifer@cs.sunysb.edu>
	* viper-cmd.el (viper-preserve-cursor-color): new test that avoids
	rewrawing the screen when changing cursor color.
	(viper-insert-state-pre-command-sentinel,
	viper-replace-state-pre-command-sentinel,
	viper-replace-state-post-command-sentinel): use
	viper-preserve-cursor-color.
	Many functions changed to use viper= instead of = when comparing
	characters.
	* viper-util.el (viper-memq-char,viper=): new functions for
	working with characters.
	(viper-change-cursor-color): fixed buglet.
	Many functions changed to use viper= instead of = when comparing
	characters.
	* viper.el (viper-insert-state-mode-list): added eshell.
	
2000-06-05  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-smart-suffix-list): rearranged list members.
	* viper.el (find-file,find-file-other-window): get viper to do
	wildcards. 
	
2000-05-24  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-ex.el (ex-write): set selective display to nil.
	
2000-03-19  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* viper-util.el (viper-put-on-search-overlay): New subroutine.
	(viper-flash-search-pattern): No operation when using Emacs
	doesn't support face. 
	Use `viper-put-on-search-overlay'.
	
2000-02-28  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-envelop-ESC-key): added the option to
	translate all ESC key sequences.
	(viper-goto-mark-subr): restore markers for files for which
	they were saved.
	* viper-init.el (viper-translate-all-ESC-keysequences): new variable.
	* viper-util.el (viper-set-replace-overlay-glyphs,
	viper-set-replace-overlay): always check if the replacement
	overlay is live.
	* viper.el (viper-vi-state-mode-list): added major modes.
	
1999-12-06  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper-cmd.el (viper-minibuffer-standard-hook,
	viper-minibuffer-real-start): new functions.
	(viper-read-string-with-history,viper-file-add-suffix,
	viper-trim-replace-chars-to-delete-if-necessary): adapt to the
	change in the status of the minibuffer prompt.
	

1999-12-04  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-cmd.el (viper-change-state): Use
	viper-ESC-moves-cursor-back to decide whether to move the cursor
	back.
	
1999-11-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* viper*el: replaced old-style backquotes.
	
1999-11-01  Michael Kifer  <kifer@cs.sunysb.edu> 
	* viper-cmd.el (viper-post-command-sentinel,
	viper-insert-state-post-command-sentinel,
	viper-insert-state-pre-command-sentinel): takes better care of
	 cursor colors.
	* viper-ex.el (viper-ex): save excursion before doing :global.
	* viper-keym.el: change key C-cg to C-cC-g
	* viper-texi.el: minor clarifications.
	* viper-util.el (viper-save-cursor-color,viper-restore-cursor-color):
	improved cursor color handling.
	(viper-get-saved-cursor-color-in-replace-mode,
	viper-get-saved-cursor-color-in-insert-mode): new functions for
	better cursor color handling.
	
1999-08-18  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* viper.el, viper.texi: typos fixed.
	* viper-cmd.el (viper-buffer-search-enable): minor buglet fixed
	
1999-05-27  SL Baur <steve@xemacs.org>

	* Makefile: bump version number

1999-05-16  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* viper-cmd (viper-window-middle): fixed behavior.
	* viper-util (viper-file-checked-in-p): check if vc-hooks is
	loaded.
	
1999-03-03  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* viper.el (viper-vi-state-mode-list): add objc-mode.
	
1999-02-17  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* viper-cmd.el (viper-saved-mark): new variable.
	(viper-mark-point): added new command m^.
	
	* viper-ex.el: new command :customize
	
	* viper-util.el (viper-set-mark-if-necessary): save point in
	viper-save-mark.
	
	* viper.texi: addex info about the new m^ command.
	
1998-10-02  Michael Kifer  <kifer@cs.sunysb.edu> 
 
        * viper-keym.el: Fixed calls to viper-ex. 
 
        * viper-util.el (viper-nontrivial-find-file-function): deleted. 
        (viper-glob-unix-files, viper-glob-mswindows-files): new functions. 
 
        * viper-ex.el (ex-read,ex-edit): 
        fixes for correct interpretation of #,%. 
        (viper-ex): now works correctly when called from other functions. 
        (viper-glob-function): new variable. 
 
        * viper-mous.el (viper-counting-clicks-p): bug fixes. 

1998-07-18  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-cmd.el (viper-replace-mode-spy-after):
	include hippie-expand in the list of
	exceptions.
	(viper-put-back, viper-Put-back, viper-exec-Delete,
	viper-exec-delete): issue message only if changes are larger than
	viper-change-notification-threshold. 
	(viper-skip-separators, viper-switch-to-buffer,
	viper-switch-to-buffer-other-window): bug fixes.
	(viper-backward-Word, viper-skip-separators,
	viper-switch-to-buffer, viper-switch-to-buffer-other-window): bug
	fixes.

	* viper.el, viper-util.el, viper-macs.el, viper-keym.el,
	viper-ex.el, viper-cmd.el: Removed function quotes around lambdas.

	* viper-init.el (viper-change-notification-threshold): new variable.

	* viper-cmd.el (viper-backward-Word): bug fix.

	* viper-util.el (viper-skip-syntax): bug fix for eob/bob cases.
	(viper-skip-syntax): bug fix for eob/bob cases.

	* viper-mous.el (viper-surrounding-word): added '_' to alpha modifiers.


1998-02-25  SL Baur  <steve@altair.xemacs.org>

	* viper.texi: Add direntry section (so installation can
	automatically update the info/dir file).

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-17  SL Baur  <steve@altair.xemacs.org>

	* etc/viperCard.tex: Move.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-21  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.

